Subject: Re: bug#865: 23.0.60; The directory is unsafe today

From: Stefan Monnier <[email-masked]>
Date: Sat, 06 Sep 2008 23:43:52 -0400

>> > So you are saying we should assume that when umask has its two lower
>> > mode bits set to zero, the intent is to create a private file
>> > accessible only by the user who runs Emacs?  I don't like such
>> > assumptions, but if I'm the only one, so be it.
>> It's not an assumption: it's what default-file-modes says.
> On Posix platforms, yes.

No, it's not platform dependent: it just so happens that it matches the
Posix semantics, so the implementation is trivial on Posix platforms,
but the meaning of this Elisp code is the same whether or not it's
running on a Posix platform.

> The MS-Windows access right set is richer than just Read,
> Write, Execute.

That doesn't really matter, the point is that nobody but the creating
user should have any right.

        Stefan